Subject: bug#4705: 23.1.50; read-key makes menu-bar and tool-bar items disappear

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 18 Sep 2011 10:52:15 +0200

Stefan Monnier <[email-masked]> writes:

>> Steps to reproduce:
>>   1. emacs -Q
>>   2. ESC : (read-key) RET
>
>> Result:
>>   The menu-bar and tool-bar items disappear except the
>>   Lisp-Interaction menu.
>
> Indeed that's a bug: the Lisp-Interaction should also disappear.
> It seems to be a bug in the code that builds the menu-bar from the
> active keymaps.

In Emacs 24, I get (sort of) the opposite result.  When I `M-:', the
Lisp-Interaction menu disappears, and most of the tool bar items get
greyed out.

So I guess this has been fixed?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/